package s3

import (
	"context"
	"io"
)

type ObjectReader interface {
	io.Reader
	io.Seeker
	io.ReaderAt
	io.Closer
}

type S3 interface {
	GetObject(ctx context.Context, key string) (ObjectReader, error)
	KeyExists(ctx context.Context, key string) (bool, error)
}
